Lavalite package that provides register_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/register_setting`.

    "litecms/register_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\RegisterSetting\Providers\RegisterSettingServiceProvider::class,

And also add it to alias

    'RegisterSetting'  => Litecms\RegisterSetting\Facades\RegisterSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\RegisterSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\RegisterSetting\Providers\RegisterSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\RegisterSetting\Providers\RegisterSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\RegisterSetting\Providers\RegisterSettingServiceProvider" --tag="view"


## Usage


